## log4cplus 1.0.4

=== CMakeLists.txt ===
project (log4cplus CXX C)
cmake_minimum_required (VERSION 2.6)
set (CMAKE_VERBOSE_MAKEFILE on)

set (log4cplus_version_major 1)
set (log4cplus_version_minor 0)
set (log4cplus_version_patch 4)
set (log4cplus_soversion 4)
set (log4cplus_postfix "")

find_package (Threads)
message (STATUS "Threads: ${CMAKE_THREAD_LIBS_INIT}")

set (log4cplus_headers
  include/log4cplus/appender.h
  include/log4cplus/config/macosx.h
  include/log4cplus/config/win32.h
  include/log4cplus/config.hxx
  include/log4cplus/configurator.h
  include/log4cplus/consoleappender.h
  include/log4cplus/fileappender.h
  include/log4cplus/fstreams.h
  include/log4cplus/helpers/appenderattachableimpl.h
  include/log4cplus/helpers/loglog.h
  include/log4cplus/helpers/logloguser.h
  include/log4cplus/helpers/pointer.h
  include/log4cplus/helpers/property.h
  include/log4cplus/helpers/sleep.h
  include/log4cplus/helpers/socket.h
  include/log4cplus/helpers/socketbuffer.h
  include/log4cplus/helpers/stringhelper.h
  include/log4cplus/helpers/syncprims.h
  include/log4cplus/helpers/thread-config.h
  include/log4cplus/helpers/threads.h
  include/log4cplus/helpers/timehelper.h
  include/log4cplus/hierarchy.h
  include/log4cplus/hierarchylocker.h
  include/log4cplus/layout.h
  include/log4cplus/logger.h
  include/log4cplus/loggingmacros.h
  include/log4cplus/loglevel.h
  include/log4cplus/ndc.h
  include/log4cplus/nteventlogappender.h
  include/log4cplus/nullappender.h
  include/log4cplus/socketappender.h
  include/log4cplus/spi/appenderattachable.h
  include/log4cplus/spi/factory.h
  include/log4cplus/spi/filter.h
  include/log4cplus/spi/loggerfactory.h
  include/log4cplus/spi/loggerimpl.h
  include/log4cplus/spi/loggingevent.h
  include/log4cplus/spi/objectregistry.h
  include/log4cplus/spi/rootlogger.h
  include/log4cplus/streams.h
  include/log4cplus/syslogappender.h
  include/log4cplus/tstring.h
  include/log4cplus/version.h
  include/log4cplus/win32debugappender.h
  include/log4cplus/win32consoleappender.h)


set (log4cplus_sources
  src/appender.cxx
  src/appenderattachableimpl.cxx
  src/configurator.cxx
  src/consoleappender.cxx
  src/factory.cxx
  src/fileappender.cxx
  src/filter.cxx
  src/global-init.cxx
  src/hierarchy.cxx
  src/hierarchylocker.cxx
  src/layout.cxx
  src/logger.cxx
  src/loggerimpl.cxx
  src/loggingevent.cxx
  src/loglevel.cxx
  src/loglog.cxx
  src/logloguser.cxx
  src/ndc.cxx
  src/nullappender.cxx
  src/objectregistry.cxx
  src/patternlayout.cxx
  src/pointer.cxx
  src/property.cxx
  src/rootlogger.cxx
  src/sleep.cxx
  src/socket.cxx
  src/socketappender.cxx
  src/socketbuffer.cxx
  src/stringhelper.cxx
  src/syncprims.cxx
  src/syslogappender.cxx
  src/threads.cxx
  src/timehelper.cxx
  src/version.cxx)

#message (STATUS "Type: ${UNIX}|${CYGWIN}|${WIN32}")

# Uncomment the following line to get locale aware string conversions.
#add_definitions (-DLOG4CPLUS_WORKING_LOCALE)

if ("${UNIX}" OR "${CYGWIN}")
  set (log4cplus_sources ${log4cplus_sources}
    src/socket-unix.cxx)
  set (log4cplus_headers ${log4cplus_headers}
    include/log4cplus/config/defines.hxx
    include/log4cplus/helpers/syncprims-pthreads.h)
elseif (WIN32)
  set (log4cplus_sources ${log4cplus_sources}
    src/socket-win32.cxx
    src/win32debugappender.cxx
    src/nteventlogappender.cxx
    src/win32consoleappender.cxx)
  set (log4cplus_headers ${log4cplus_headers}
    include/log4cplus/helpers/syncprims-win32.h)

  # Comment out the following lines if you want non-Unicode version.
  add_definitions (-DUNICODE -D_UNICODE -UMBCS -U_MBCS)
  set (log4cplus_postfix "${log4cplus_postfix}U")
  
  #add_definitions (-DLOG4CPLUS_STATIC)
  #set (log4cplus_postfix "${log4cplus_postfix}S")
endif ()

message (STATUS "Headers: ${log4cplus_headers}")
message (STATUS "Sources: ${log4cplus_sources}")

include_directories ("include")
set (log4cplus_all_sources ${log4cplus_sources} ${log4cplus_headers})

#add_library (log4cplus STATIC ${log4cplus_all_sources})
add_library (log4cplus SHARED ${log4cplus_all_sources})
target_link_libraries (log4cplus ${CMAKE_THREAD_LIBS_INIT})

set_target_properties (log4cplus PROPERTIES
  VERSION "${log4cplus_version_major}.${log4cplus_version_minor}"
  SOVERSION "${log4cplus_soversion}"
  COMPILE_FLAGS "-DINSIDE_LOG4CPLUS")
if (WIN32)
  set_target_properties (log4cplus PROPERTIES
    DEBUG_POSTFIX "${log4cplus_postfix}D"
    RELEASE_POSTFIX "${log4cplus_postfix}"
    MINSIZEREL_POSTFIX "${log4cplus_postfix}"
    RELWITHDEBINFO_POSTFIX "${log4cplus_postfix}")
  target_link_libraries (log4cplus ws2_32 advapi32)
endif ()

add_subdirectory (loggingserver)
add_subdirectory (tests)

=== loggingserver/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
set (CMAKE_VERBOSE_MAKEFILE on)

find_package (Threads)
message (STATUS "Threads: ${CMAKE_THREAD_LIBS_INIT}")

set (loggingserver_sources
  loggingserver.cxx)

message (STATUS "Sources: ${loggingserver_sources}")

include_directories ("../include")

add_executable (loggingserver ${loggingserver_sources})
target_link_libraries (loggingserver log4cplus)

=== tests/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
set (CMAKE_VERBOSE_MAKEFILE on)

add_subdirectory (appender_test)
add_subdirectory (configandwatch_test)
add_subdirectory (customloglevel_test)
add_subdirectory (fileappender_test)
add_subdirectory (filter_test)
add_subdirectory (hierarchy_test)
add_subdirectory (loglog_test)
add_subdirectory (ndc_test)
add_subdirectory (ostream_test)
add_subdirectory (patternlayout_test)
add_subdirectory (performance_test)
add_subdirectory (priority_test)
add_subdirectory (propertyconfig_test)
add_subdirectory (socket_test)
add_subdirectory (thread_test)
add_subdirectory (timeformat_test)

=== tests/appender_test/CMakeLists.txt ===
set (test_name "appender_test")
set (test_sources
  main.cxx)

project (${test_name} CXX C)
cmake_minimum_required (VERSION 2.6)
set (CMAKE_VERBOSE_MAKEFILE on)

find_package (Threads)

message (STATUS "${test_name} sources: ${test_sources}")

include_directories ("${CMAKE_SOURCE_DIR}/include")
add_executable (${test_name} ${test_sources})
target_link_libraries (${test_name} log4cplus)

=== tests/configandwatch_test/CMakeLists.txt ===
set (test_name "configandwatch_test")
set (test_sources
  main.cxx)

project (${test_name} CXX C)
cmake_minimum_required (VERSION 2.6)
set (CMAKE_VERBOSE_MAKEFILE on)

find_package (Threads)

message (STATUS "${test_name} sources: ${test_sources}")

include_directories ("${CMAKE_SOURCE_DIR}/include")
add_executable (${test_name} ${test_sources})
target_link_libraries (${test_name} log4cplus)

=== tests/customloglevel_test/CMakeLists.txt ===
set (test_name "customloglevel_test")
set (test_sources
  main.cxx
  func.cxx
  customloglevel.h
  customloglevel.cxx)

project (${test_name} CXX C)
cmake_minimum_required (VERSION 2.6)
set (CMAKE_VERBOSE_MAKEFILE on)

find_package (Threads)

message (STATUS "${test_name} sources: ${test_sources}")

include_directories ("${CMAKE_SOURCE_DIR}/include")
add_executable (${test_name} ${test_sources})
target_link_libraries (${test_name} log4cplus)

=== tests/fileappender_test/CMakeLists.txt ===
set (test_name "fileappender_test")
set (test_sources
  main.cxx)

project (${test_name} CXX C)
cmake_minimum_required (VERSION 2.6)
set (CMAKE_VERBOSE_MAKEFILE on)

find_package (Threads)

message (STATUS "${test_name} sources: ${test_sources}")

include_directories ("${CMAKE_SOURCE_DIR}/include")
add_executable (${test_name} ${test_sources})
target_link_libraries (${test_name} log4cplus)

=== tests/filter_test/CMakeLists.txt ===
set (test_name "filter_test")
set (test_sources
  main.cxx)

project (${test_name} CXX C)
cmake_minimum_required (VERSION 2.6)
set (CMAKE_VERBOSE_MAKEFILE on)

find_package (Threads)

message (STATUS "${test_name} sources: ${test_sources}")

include_directories ("${CMAKE_SOURCE_DIR}/include")
add_executable (${test_name} ${test_sources})
target_link_libraries (${test_name} log4cplus)

=== tests/hierarchy_test/CMakeLists.txt ===
set (test_name "hierarchy_test")
set (test_sources
  main.cxx)

project (${test_name} CXX C)
cmake_minimum_required (VERSION 2.6)
set (CMAKE_VERBOSE_MAKEFILE on)

find_package (Threads)

message (STATUS "${test_name} sources: ${test_sources}")

include_directories ("${CMAKE_SOURCE_DIR}/include")
add_executable (${test_name} ${test_sources})
target_link_libraries (${test_name} log4cplus)

=== tests/loglog_test/CMakeLists.txt ===
set (test_name "loglog_test")
set (test_sources
  main.cxx)

project (${test_name} CXX C)
cmake_minimum_required (VERSION 2.6)
set (CMAKE_VERBOSE_MAKEFILE on)

find_package (Threads)

message (STATUS "${test_name} sources: ${test_sources}")

include_directories ("${CMAKE_SOURCE_DIR}/include")
add_executable (${test_name} ${test_sources})
target_link_libraries (${test_name} log4cplus)

=== tests/ndc_test/CMakeLists.txt ===
set (test_name "ndc_test")
set (test_sources
  main.cxx)

project (${test_name} CXX C)
cmake_minimum_required (VERSION 2.6)
set (CMAKE_VERBOSE_MAKEFILE on)

find_package (Threads)

message (STATUS "${test_name} sources: ${test_sources}")

include_directories ("${CMAKE_SOURCE_DIR}/include")
add_executable (${test_name} ${test_sources})
target_link_libraries (${test_name} log4cplus)

=== tests/ostream_test/CMakeLists.txt ===
set (test_name "ostream_test")
set (test_sources
  main.cxx)

project (${test_name} CXX C)
cmake_minimum_required (VERSION 2.6)
set (CMAKE_VERBOSE_MAKEFILE on)

find_package (Threads)

message (STATUS "${test_name} sources: ${test_sources}")

include_directories ("${CMAKE_SOURCE_DIR}/include")
add_executable (${test_name} ${test_sources})
target_link_libraries (${test_name} log4cplus)

=== debian/changelog ===
log4cplus (1.0.4-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * liblog4cplus-dev: Breaks+Replaces: liblog4cplus-1.0-4 (<< 1.0.4-1.1~)
    as /usr/lib/liblog4cplus.so was moved in the previous upload.
    (Closes: #756691)

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 07 Nov 2014 19:37:29 +0100

log4cplus (1.0.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Install *.so symlink in -dev package. Remove .la file. Closes #750553

 -- Mathieu Malaterre <malat@debian.org>  Sun, 29 Jun 2014 08:22:53 +0200

log4cplus (1.0.4-1) unstable; urgency=low

  [ Eric Kom ]
  * New upstream release
  * Fix the download upstream source link for debian/watch file.

  [ Andrew Pollock ]
  * Generally clean up and make Lintian-clean

 -- Andrew Pollock <apollock@debian.org>  Wed, 18 Jan 2012 22:38:12 -0800

log4cplus (1.0.3-1) unstable; urgency=low

  * Initial release (Closes: #578387)

 -- Daigo Moriwaki <daigo@debian.org>  Fri, 16 Apr 2010 17:46:34 +0900

=== debian/control ===
Source: log4cplus
Section: libs
Priority: extra
Maintainer: Andrew Pollock <apollock@debian.org>
Uploaders: Daigo Moriwaki <daigo@debian.org>, Eric Kom <erickom@kom.za.net>
Build-Depends: 	cdbs, debhelper (>= 7), 
	       	autotools-dev,
		libtool, automake,
		doxygen
Standards-Version: 3.9.2
Homepage: http://log4cplus.sourceforge.net
Vcs-Browser: http://git.debian.org/?p=collab-maint/log4cplus.git;a=summary
Vcs-Git: git://git.debian.org/collab-maint/log4cplus.git

Package: liblog4cplus-1.0-4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ logging API modeled after the Java log4j API - shared library
 log4cplus is a simple to use C++ logging API providing thread-safe,
 flexible, and arbitrarily granular control over log management and
 configuration.  It is modeled after the Java log4j API.

Package: liblog4cplus-dev
Architecture: any
Section: libdevel
Depends: liblog4cplus-1.0-4 (= ${binary:Version}), ${misc:Depends}
Breaks: liblog4cplus-1.0-4 (<< 1.0.4-1.1~)
Replaces: liblog4cplus-1.0-4 (<< 1.0.4-1.1~)
Description: C++ logging API modeled after the Java log4j API - development library
 log4cplus is a simple to use C++ logging API providing thread-safe,
 flexible, and arbitrarily granular control over log management and
 configuration.  It is modeled after the Java log4j API.
 .
 This package contains the header files and static library for 
 developers.

Package: liblog4cplus-dbg 
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, liblog4cplus-1.0-4 (= ${binary:Version})
Description: C++ logging API modeled after the Java log4j API - debug library
 log4cplus is a simple to use C++ logging API providing thread-safe,
 flexible, and arbitrarily granular control over log management and
 configuration.  It is modeled after the Java log4j API.
 .
 This package is provided primarily to provide a backtrace with names
 in a debugger, this makes it somewhat easier to interpret core
 dumps.  Most people will not need this package.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk

# Add here any variable or target overrides you need.

#install/liblog4cplus::


DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,-z,defs -Wl,--as-needed -lpthread"
DEB_DH_INSTALL_SOURCEDIR := debian/tmp

binary-install/liblog4cplus-dev::
	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`

#configure/liblog4cpp5::
#	aclocal -I m4
#	autoconf
#	autoheader
#	automake --add-missing --copy
#	libtoolize --copy --force

=== debian/watch ===
# you can run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# A South African Mirror, one of the sourceforge mirrors.
#http://tenet.dl.sourceforge.net/project/log4cplus/log4cplus-stable/(\d+\.\d+\.\d+)/log4cplus-(\d+\.\d+\.\d+)\.tar\.bz2 debian uupdate
http://sf.net/log4cplus/log4cplus-(.+)\.tar\.bz2

## log4cplus 1.1.2

=== CMakeLists.txt ===
# This block needs to stay before the project (log4cplus) line so that
#  the output files placed into Android's libs directory.
if (CMAKE_TOOLCHAIN_FILE)
  # Android: set output folder to ${CMAKE_BINARY_DIR}
  set (LIBRARY_OUTPUT_PATH_ROOT ${CMAKE_BINARY_DIR} CACHE PATH
    "root for library output, set this to change where android libs are compiled to")
endif ()

project (log4cplus)
cmake_minimum_required (VERSION 2.8.0)

include (Log4CPlusUtils.cmake)
log4cplus_get_version ("${PROJECT_SOURCE_DIR}/include"
  log4cplus_version_major log4cplus_version_minor log4cplus_version_patch)
message("-- Generating build for Log4cplus version ${log4cplus_version_major}.${log4cplus_version_minor}.${log4cplus_version_patch}")
set (log4cplus_soversion 7)
set (log4cplus_postfix "")

option(LOG4CPLUS_BUILD_TESTING "Build the test suite." ON)

find_package (Threads)
message (STATUS "Threads: ${CMAKE_THREAD_LIBS_INIT}")

set(BUILD_SHARED_LIBS TRUE CACHE BOOL "If TRUE, log4cplus is built as a shared library, otherwise as a static library")

if (WIN32)
  set (UNICODE_DEFAULT ON)
else (WIN32)
  set (UNICODE_DEFAULT OFF)
endif (WIN32)

if (MSVC)
  set (LOG4CPLUS_WORKING_LOCALE_DEFAULT ON)
else (MSVC)
  set (LOG4CPLUS_WORKING_LOCALE_DEFAULT OFF)
endif (MSVC)

option(LOG4CPLUS_WORKING_LOCALE "Define for compilers/standard libraries that support more than just the C locale."
  ${LOG4CPLUS_WORKING_LOCALE_DEFAULT})

option(LOG4CPLUS_WORKING_C_LOCALE
  "Define for compilers/standard libraries that have working C locale."
  OFF)

option (LOG4CPLUS_QT4 "Build with Qt4DebugAppender" OFF)

option(UNICODE "Build with tchar = wchar_t" ${UNICODE_DEFAULT})

option(WITH_ICONV "Use iconv() for char->wchar_t conversion."
  OFF)
  
set(_WIN32_WINNT 0x0500 CACHE STRING "Define Windows API version to use.")

if (NOT ${BUILD_SHARED_LIBS})
  # set S-prefix for static build 
  set (log4cplus_postfix "${log4cplus_postfix}S")
endif()    

if (UNICODE)
  set (log4cplus_postfix "${log4cplus_postfix}U")
endif (UNICODE)

if (WITH_ICONV)
  set(LOG4CPLUS_WITH_ICONV 1)
endif ()

set (log4cplus "log4cplus${log4cplus_postfix}")

include(ConfigureChecks.cmake)

# Prepare defines.hxx.cmake from defines.hxx.in by doing a bit of
# string manipulation.
file(READ include/log4cplus/config/defines.hxx.in FILE_BUFFER)
string(REGEX REPLACE "#undef[^a-zA-Z0-9_]+([a-zA-Z0-9_]+)"
  "#cmakedefine \\1 @\\1@" FILE_BUFFER "${FILE_BUFFER}")
set(DEFINES_HXX_CMAKE
  ${log4cplus_BINARY_DIR}/include/log4cplus/config/defines.hxx.cmake) 
set(DEFINES_HXX ${log4cplus_BINARY_DIR}/include/log4cplus/config/defines.hxx)
file(WRITE ${DEFINES_HXX_CMAKE} ${FILE_BUFFER})

configure_file(${DEFINES_HXX_CMAKE} ${DEFINES_HXX} @ONLY)

include_directories (${log4cplus_SOURCE_DIR}/include
                     ${log4cplus_BINARY_DIR}/include
                    )

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)

if (LOG4CPLUS_BUILD_TESTING)
  enable_testing()
endif (LOG4CPLUS_BUILD_TESTING)

add_subdirectory (src)
add_subdirectory (loggingserver)
if (LOG4CPLUS_BUILD_TESTING)
  add_subdirectory (tests)
endif (LOG4CPLUS_BUILD_TESTING)
if (LOG4CPLUS_QT4)
  add_subdirectory (qt4debugappender)
endif (LOG4CPLUS_QT4)

include(Log4CPlusCPack.cmake)

=== loggingserver/CMakeLists.txt ===
if (UNICODE)
  add_definitions (-DUNICODE -D_UNICODE -UMBCS -U_MBCS)
endif (UNICODE)

message (STATUS "Threads: ${CMAKE_THREAD_LIBS_INIT}")

set (loggingserver_sources loggingserver.cxx)

message (STATUS "Sources: ${loggingserver_sources}")

add_executable (loggingserver ${loggingserver_sources})
target_link_libraries (loggingserver ${log4cplus})

install(TARGETS loggingserver DESTINATION bin)

=== qt4debugappender/CMakeLists.txt ===
set (qt4debugappender_sources
  qt4debugappender.cxx)

if (UNICODE)
  add_definitions (-DUNICODE -D_UNICODE -UMBCS -U_MBCS)
endif (UNICODE)

find_package (Qt4 REQUIRED)
include (${QT_USE_FILE})

set (qt4debugappender log4cplusqt4debugappender${log4cplus_postfix})
add_library (${qt4debugappender} ${qt4debugappender_sources})
target_link_libraries (${qt4debugappender}
  ${log4cplus}
  ${QT_LIBRARIES}
  ${CMAKE_THREAD_LIBS_INIT})

set_target_properties (${qt4debugappender} PROPERTIES
  VERSION "${log4cplus_version_major}.${log4cplus_version_minor}.${log4cplus_version_patch}"
  SOVERSION "${log4cplus_soversion}"
  COMPILE_FLAGS "-DINSIDE_LOG4CPLUS_QT4DEBUGAPPENDER")

if (WIN32)
  set_target_properties (${qt4debugappender} PROPERTIES
    DEBUG_POSTFIX "D")
endif ()

install (TARGETS ${qt4debugappender}
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin)

install (FILES ../include/log4cplus/qt4debugappender.h
  DESTINATION include/log4cplus)

=== src/CMakeLists.txt ===
set (log4cplus_sources
  appenderattachableimpl.cxx
  appender.cxx
  asyncappender.cxx
  clogger.cxx
  configurator.cxx
  consoleappender.cxx
  cygwin-win32.cxx
  env.cxx
  factory.cxx
  fileappender.cxx
  fileinfo.cxx
  filter.cxx
  global-init.cxx
  hierarchy.cxx
  hierarchylocker.cxx
  layout.cxx
  log4judpappender.cxx
  lockfile.cxx
  logger.cxx
  loggerimpl.cxx
  loggingevent.cxx
  loggingmacros.cxx
  loglevel.cxx
  loglog.cxx
  logloguser.cxx
  mdc.cxx
  ndc.cxx
  nullappender.cxx
  objectregistry.cxx
  patternlayout.cxx
  pointer.cxx
  property.cxx
  queue.cxx
  rootlogger.cxx
  sleep.cxx
  snprintf.cxx
  socketappender.cxx
  socketbuffer.cxx
  socket.cxx
  stringhelper.cxx
  stringhelper-clocale.cxx
  stringhelper-cxxlocale.cxx
  stringhelper-iconv.cxx
  syncprims.cxx
  syslogappender.cxx
  threads.cxx
  timehelper.cxx
  tls.cxx
  version.cxx)

#message (STATUS "Type: ${UNIX}|${CYGWIN}|${WIN32}")

if ("${UNIX}" OR "${CYGWIN}")
  set (log4cplus_sources ${log4cplus_sources}
    socket-unix.cxx)
elseif (WIN32)
  set (log4cplus_sources ${log4cplus_sources}
    nteventlogappender.cxx
    socket-win32.cxx
    win32consoleappender.cxx
    win32debugappender.cxx)

  #add_definitions (-DLOG4CPLUS_STATIC)
  #set (log4cplus_postfix "${log4cplus_postfix}S")
endif ()

if (UNICODE)
  add_definitions (-DUNICODE -D_UNICODE -UMBCS -U_MBCS)
endif (UNICODE)
if (WIN32)
  add_definitions (-DMINGW_HAS_SECURE_API=1)
  add_definitions (-D_WIN32_WINNT=${_WIN32_WINNT})
endif (WIN32)

add_library (${log4cplus} ${log4cplus_sources})

set (log4cplus_LIBS ${CMAKE_THREAD_LIBS_INIT})
if (LIBRT)
  list (APPEND log4cplus_LIBS ${LIBRT})
endif ()
if (LIBPOSIX4)
  list (APPEND log4cplus_LIBS ${LIBPOSIX4})
endif ()
if (LIBCPOSIX)
  list (APPEND log4cplus_LIBS ${LIBCPOSIX})
endif ()
if (LIBSOCKET)
  list (APPEND log4cplus_LIBS ${LIBSOCKET})
endif ()
if (LIBNSL)
  list (APPEND log4cplus_LIBS ${LIBNSL})
endif ()
if (LOG4CPLUS_WITH_ICONV AND LIBICONV)
  list (APPEND log4cplus_LIBS ${LIBICONV})
endif ()
target_link_libraries (${log4cplus} ${log4cplus_LIBS})

set_target_properties (${log4cplus} PROPERTIES
  VERSION "${log4cplus_version_major}.${log4cplus_version_minor}.${log4cplus_version_patch}"
  SOVERSION "${log4cplus_soversion}"
  COMPILE_FLAGS "-DINSIDE_LOG4CPLUS")

if (WIN32)
  set_target_properties (${log4cplus} PROPERTIES
    DEBUG_POSTFIX "D")
  target_link_libraries (${log4cplus} ws2_32 advapi32)
endif ()

install(TARGETS ${log4cplus} LIBRARY DESTINATION lib
                          ARCHIVE DESTINATION lib
                          RUNTIME DESTINATION bin)

install(FILES ../include/log4cplus/appender.h
              ../include/log4cplus/asyncappender.h
              ../include/log4cplus/clogger.h
              ../include/log4cplus/config.hxx
              ../include/log4cplus/configurator.h
              ../include/log4cplus/consoleappender.h
              ../include/log4cplus/fileappender.h
              ../include/log4cplus/fstreams.h
              ../include/log4cplus/hierarchy.h
              ../include/log4cplus/hierarchylocker.h
              ../include/log4cplus/layout.h
              ../include/log4cplus/log4judpappender.h
              ../include/log4cplus/logger.h
              ../include/log4cplus/loggingmacros.h
              ../include/log4cplus/loglevel.h
              ../include/log4cplus/mdc.h
              ../include/log4cplus/ndc.h
              ../include/log4cplus/nteventlogappender.h
              ../include/log4cplus/nullappender.h
              ../include/log4cplus/socketappender.h
              ../include/log4cplus/streams.h
              ../include/log4cplus/syslogappender.h
              ../include/log4cplus/tchar.h
              ../include/log4cplus/tracelogger.h
              ../include/log4cplus/tstring.h
              ../include/log4cplus/version.h
              ../include/log4cplus/win32debugappender.h
              ../include/log4cplus/win32consoleappender.h
        DESTINATION include/log4cplus )

install(FILES ../include/log4cplus/boost/deviceappender.hxx
        DESTINATION include/log4cplus/boost )


install(FILES ../include/log4cplus/helpers/appenderattachableimpl.h
              ../include/log4cplus/helpers/fileinfo.h
              ../include/log4cplus/helpers/lockfile.h
              ../include/log4cplus/helpers/loglog.h
              ../include/log4cplus/helpers/logloguser.h
              ../include/log4cplus/helpers/pointer.h
              ../include/log4cplus/helpers/property.h
              ../include/log4cplus/helpers/queue.h
              ../include/log4cplus/helpers/sleep.h
              ../include/log4cplus/helpers/snprintf.h
              ../include/log4cplus/helpers/socket.h
              ../include/log4cplus/helpers/socketbuffer.h
              ../include/log4cplus/helpers/stringhelper.h
              ../include/log4cplus/helpers/thread-config.h
              ../include/log4cplus/helpers/timehelper.h
        DESTINATION include/log4cplus/helpers )

install(FILES ../include/log4cplus/internal/env.h
              ../include/log4cplus/internal/internal.h
              ../include/log4cplus/internal/socket.h
        DESTINATION include/log4cplus/internal )

install(FILES ../include/log4cplus/spi/appenderattachable.h
              ../include/log4cplus/spi/factory.h
              ../include/log4cplus/spi/filter.h
              ../include/log4cplus/spi/loggerfactory.h
              ../include/log4cplus/spi/loggerimpl.h
              ../include/log4cplus/spi/loggingevent.h
              ../include/log4cplus/spi/objectregistry.h
              ../include/log4cplus/spi/rootlogger.h
        DESTINATION include/log4cplus/spi )

install(FILES ../include/log4cplus/thread/impl/syncprims-impl.h
#              ../include/log4cplus/thread/impl/syncprims-pmsm.h
              ../include/log4cplus/thread/impl/syncprims-pthreads.h
              ../include/log4cplus/thread/impl/syncprims-win32.h
              ../include/log4cplus/thread/impl/threads-impl.h
              ../include/log4cplus/thread/impl/tls.h
        DESTINATION include/log4cplus/thread/impl )

install(FILES ../include/log4cplus/thread/syncprims-pub-impl.h
              ../include/log4cplus/thread/syncprims.h
              ../include/log4cplus/thread/threads.h
        DESTINATION include/log4cplus/thread )

install(FILES ../include/log4cplus/config/macosx.h
              ../include/log4cplus/config/win32.h
              ../include/log4cplus/config/windowsh-inc.h
              ${log4cplus_BINARY_DIR}/include/log4cplus/config/defines.hxx
        DESTINATION include/log4cplus/config )

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,20 @@
-cmake_minimum_required (VERSION 2.6)
-set (CMAKE_VERBOSE_MAKEFILE on)
+if (UNICODE)
+  add_definitions (-DUNICODE -D_UNICODE -UMBCS -U_MBCS)
+endif (UNICODE)
+
+if (${BUILD_SHARED_LIBS})
+  add_definitions (-Dlog4cplus_EXPORTS)
+endif ()
+
+# a function to set up a test, since it's the same for each one:
+function(log4cplus_add_test _name)
+  set(_srcs ${ARGN})
+#  message (STATUS "${_name} sources: ${_srcs}")
+  add_executable (${_name} ${_srcs})
+  target_link_libraries (${_name} ${log4cplus})
+  add_test(NAME ${_name} WORKING_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY} COMMAND ${_name})
+endfunction()
+
 
 add_subdirectory (appender_test)
 add_subdirectory (configandwatch_test)
@@ -14,6 +29,6 @@
 add_subdirectory (performance_test)
 add_subdirectory (priority_test)
 add_subdirectory (propertyconfig_test)
-add_subdirectory (socket_test)
+#add_subdirectory (socket_test) # I don't know how this test is supposed to be executed
 add_subdirectory (thread_test)
 add_subdirectory (timeformat_test)

=== tests/performance_test/CMakeLists.txt ===
log4cplus_add_test(performance_test main.cxx)

=== tests/timeformat_test/CMakeLists.txt ===
log4cplus_add_test(timeformat_test main.cxx)

=== debian/changelog ===
log4cplus (1.1.2-4) unstable; urgency=medium

  [ Tobias Frost ]
  * Salvaging package (Closes: #969054).
  * Daigo Moriwaki has retired, removing him from the Uploaders list.
    Thanks for your work on the package! (Closes: #863771)
  * Dropping Eric Kom from the Uploaders list as well. Thanks for your work!
  * Updating S-B to 4.5.0:
    -  Change priority to optional.
    -  Set Rules-Requires-Root: no
  * Update VCS-fields to point to salsa.d.o.
  * Adding old upstream signing keys (for 1.1-2 version)
  * Pick up Guillems dep5 conversion work and add missing pieces.
  * Update homepage field in d/control to new upstream homepage.
  * Use ${DEB_HOST_MULTIARCH} to install multiarch libraries.
  * Add la library to debian/not-installed.
  * Add gbp.conf and gitlab-ci.yml
  * Cherry picking several patchs from Guillem. for details see
    see #929062 and the following section:

  [ Guillem Jover]
  * Migration to automatic dbgsym package.
  * Apply wrap-and-sort -sa
  * d/watch updated to version 4, enabling upstream signature check.
  * Convert to Machine-readable debian/copyright file.
  * Stop installing *.la files.
  * Install pkgconfig file. (Closes: #951321)
  * Remove debian/docs, as the contents are irrelevant.
  * Enable all hardening features, although relro gets disabled due to an
    apparent bug in binutils strip. (Closes: #761133)
  * Convert to debhelper-compat and bump compat level to 13. This allows one
    to drop dh_autoreconf from B-D and its --with stanza from d/rules.
  * Mark library and development packages as «Multi-Arch: same». (Closes: #811183)

 -- Tobias Frost <tobi@debian.org>  Thu, 24 Sep 2020 21:42:37 +0200

log4cplus (1.1.2-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Ensure C++11 methods are present in the library. (Closes: #814905)

 -- James Cowgill <jcowgill@debian.org>  Mon, 08 Aug 2016 11:06:16 +0000

log4cplus (1.1.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replaces harcoded triplet by DEB_HOST_MULTIARCH for library symlink
    (Closes: #801305).

 -- Christian Marillat <marillat@debian.org>  Thu, 10 Dec 2015 15:48:34 +0100

log4cplus (1.1.2-3) unstable; urgency=low

  * Rebuild against unstable for library transition (closes: #796668)

 -- Andrew Pollock <apollock@debian.org>  Sun, 04 Oct 2015 21:04:05 +1000

log4cplus (1.1.2-2) experimental; urgency=medium

  * debian/liblog4cplus-dev.install: don't be so selective about what in
    /usr/include/log4cplus gets added

 -- Andrew Pollock <apollock@debian.org>  Sun, 23 Aug 2015 20:06:33 +1000

log4cplus (1.1.2-1) experimental; urgency=low

  * New upstream release
  * Incorporate previous NMUs (closes: #750553, #756691)
  * debian/control: bumped Standards-Version (no changes), increased versioned
    Build-Dependency on debhelper to 9
  * debian/compat: bump to 9 to get proper buildflags support
  * debian/*.install: added globbing to deal with architectures
  * debian/liblog4cplus9.install: added missing symlink to placate Lintian

 -- Andrew Pollock <apollock@debian.org>  Mon, 10 Aug 2015 21:23:23 +1000

log4cplus (1.0.4-3) unstable; urgency=low

  * debian/{rules,control}: add dh-autoreconf (closes: #734220)

 -- Andrew Pollock <apollock@debian.org>  Mon, 24 Feb 2014 10:19:59 +1000

log4cplus (1.0.4-2) unstable; urgency=low

  * Convert to using debhelper

 -- Andrew Pollock <apollock@debian.org>  Tue, 24 Jan 2012 21:54:01 -0800

=== debian/control ===
Source: log4cplus
Section: libs
Priority: optional
Maintainer: Andrew Pollock <apollock@debian.org>
Uploaders:
 Eric Kom <erickom@kom.za.net>,
 Tobias Frost <tobi@debian.org>
Build-Depends:
 automake,
 debhelper-compat (= 13),
 doxygen,
 libtool
Standards-Version: 4.5.0
Homepage: https://sourceforge.net/p/log4cplus/wiki/Home
Vcs-Browser: https://salsa.debian.org/debian/log4cplus
Vcs-Git: https://salsa.debian.org/debian/log4cplus.git
Rules-Requires-Root: no

Package: liblog4cplus-1.1-9
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: C++ logging API modeled after the Java log4j API - shared library
 log4cplus is a simple to use C++ logging API providing thread-safe,
 flexible, and arbitrarily granular control over log management and
 configuration.  It is modeled after the Java log4j API.

Package: liblog4cplus-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 liblog4cplus-1.1-9 (= ${binary:Version}),
 ${misc:Depends}
Description: C++ logging API modeled after the Java log4j API - development library
 log4cplus is a simple to use C++ logging API providing thread-safe,
 flexible, and arbitrarily granular control over log management and
 configuration.  It is modeled after the Java log4j API.
 .
 This package contains the header files and static library for
 developers.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CXXFLAGS_MAINT_APPEND := --std=c++11
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_strip:
	dh_strip --dbgsym-migration='liblog4cplus-dbg (<< 1.1.2-4~)'

override_dh_link:
	dh_link -pliblog4cplus-dev \
	usr/lib/$(DEB_HOST_MULTIARCH)/liblog4cplus-1.1.so.9.0.0 \
	usr/lib/$(DEB_HOST_MULTIARCH)/liblog4cplus-1.1.so
